glutUseLayer
Prev | GLUT | Next

## Name

glutUseLayer — changes the layer in use for the current window.

## C Specification

`void `glutUseLayer`` | `(` | `GLenum `layer`);`

## Python Specification

``glutUseLayer`` | `(` | ``layer`) → `None``

## Parameters

`layer`
  Either `GLUT_NORMAL` or `GLUT_OVERLAY`, selecting the normal plane or overlay respectively.

## Description

`glutUseLayer` changes the per-window layer in use for the current window, selecting either the normal plane or overlay. The overlay should only be specified if an overlay exists, however windows without an overlay may still call `glutUseLayer(GLUT_NORMAL)`. OpenGL commands for the window are directed to the current layer in use.

To query the layer in use for a window, call `glutLayerGet(GLUT_LAYER_IN_USE)`.

## See Also

glutEstablishOverlay, glutSetWindow

Prev | Up | Next
glutTimerFunc | Home | glutVideoResizeGet